Order and Inventory
Order and Inventory
  1. Orders
  • Orders
    • Create Order
      POST
    • Get Order Status
      POST
    • Get Order Fulfillment Detail
      POST
  • Inventory
    • Get Inventory
      POST
    • Get PIM Data
      POST
  • Schemas
    • Schemas
      • Item
      • Order
      • Order-Status-Parameters
      • Order-Fulfillment-Parameters
      • inline_response_200
      • inline_response_200_1
      • inline_response_200_2
      • InventoryPIM_images
      • InventoryPIM_prices
      • inline_response_200_3
      • inline_response_200_1_shipmentDetails_serialDetails
      • inline_response_200_1_shipmentDetails_lineDetails
      • inline_response_200_1_shipmentDetails_carton
      • inline_response_200_1_shipmentDetails
      • inline_response_200_1_shipNotice
  1. Orders

Create Order

POST
https://test.v1.vertexapi.com/Orders

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://auth.v1.vertexapi.com/oauth2/token
Refresh URL: https://auth.v1.vertexapi.com/oauth2/token
or
Header Params

Body Params application/json

Examples

Responses

🟢200OK
Ok
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://test.v1.vertexapi.com/Orders' \
--header 'CustomerKey;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "custOrder": "Order1234",
    "orderType": "New",
    "endUserOrderNumber": "EndCustomerPO",
    "shipMethod": "UPSG",
    "orderDate": "2025-05-01T00:00:00.000Z",
    "shipTo": "Vertex Wireless",
    "shipAdd1": "500 Wegner Drive",
    "shipAttention": "API User",
    "shipCity": "West Chicago",
    "shipState": "IL",
    "shipZip": "60185",
    "shipPhone": "6302936300",
    "countryCode": "US",
    "items": [
        {
            "lineNum": 1,
            "vertexPart": "SA-PARTTEST-A001-GEGE",
            "quantity": 1,
            "customerPart": "YourPartNumber",
            "price": 499.99,
            "bidNumber": "SPA-Detail-123"
        }
    ]
}'
Modified at 2025-09-06 15:59:55
Next
Get Order Status
Built with